package com.chaozhanggui.dao.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class TbPlussMercOrderDetail implements Serializable {
    /** 待付款 */
    public static final String STATUS_NO_PAY = "00";

    /** 已付款 */
    public static final String STATUS_PAYED = "01";

    /** 退款中 */
    public static final String STATUS_REFUND_REQ = "02";

    /** 同意退款，需填写退货订单号 */
    public static final String STATUS_REFUNDING = "12";

    /** 退款申请中，已填写快递单号 */
    public static final String STATUS_REFUND_AGREE = "13";

    /** 已退款 */
    public static final String STATUS_REFUND_SUCCESS = "03";

    /** 退款失败 */
    public static final String STATUS_REFUND_FAIL = "04";

    /** 待收货 */
    public static final String STATUS_UN_RECEIVED = "05";

    /** 已完成 */
    public static final String STATUS_COMPLETE = "06";

    private static final long serialVersionUID = 1L;
    private Integer id;

    private Integer shoptrolleyid;

    private String orderno;

    private String code;

    private String name;

    private String desc;

    private BigDecimal price;

    private String devicelogo;

    private String type;

    private Integer num;

    private Integer userid;

    private String logistno;

    private String status;

    private String refundreason;

    private String rejectremark;

    private String refundtype;

    private String expressno;

    private String refundexpressno;

    private BigDecimal refundamt;

    private String refundno;

    private Date refundtime;

    private String refundremark;

    private BigDecimal postage;

    private Date createtime;

    @TableField(exist = false)
    private String statusDesc;

    @TableField(exist = false)
    private String phone;

    @TableField(exist = false)
    private String verifyCode;

    @TableField(exist = false)
    private List<String> picList;

    /**
     * 物流状态
     */
    @TableField(exist = false)
    private String expressStatus;

    @TableField(exist = false)
    private String expressStatusDesc;

    @TableField(exist = false)
    private TbPlussMercOrderNew order;

    @TableField(exist = false)
    private TbPlussMerchantBaseInfo merchant;

    @TableField(exist = false)
    private String roleCode;

    /**
     * 规格名称
     */
    @TableField(exist = false)
    private String specName;

//    private static final long serialVersionUID = 1L;

    public String getStatusDesc() {
        return statusDesc;
    }

    public void setStatusDesc(String statusDesc) {
        this.statusDesc = statusDesc;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }

    public List<String> getPicList() {
        return picList;
    }

    public void setPicList(List<String> picList) {
        this.picList = picList;
    }

    public String getExpressStatus() {
        return expressStatus;
    }

    public void setExpressStatus(String expressStatus) {
        this.expressStatus = expressStatus;
    }

    public String getExpressStatusDesc() {
        return expressStatusDesc;
    }

    public void setExpressStatusDesc(String expressStatusDesc) {
        this.expressStatusDesc = expressStatusDesc;
    }

    public TbPlussMercOrderNew getOrder() {
        return order;
    }

    public void setOrder(TbPlussMercOrderNew order) {
        this.order = order;
    }

    public TbPlussMerchantBaseInfo getMerchant() {
        return merchant;
    }

    public void setMerchant(TbPlussMerchantBaseInfo merchant) {
        this.merchant = merchant;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getShoptrolleyid() {
        return shoptrolleyid;
    }

    public void setShoptrolleyid(Integer shoptrolleyid) {
        this.shoptrolleyid = shoptrolleyid;
    }

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno == null ? null : orderno.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc == null ? null : desc.trim();
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getDevicelogo() {
        return devicelogo;
    }

    public void setDevicelogo(String devicelogo) {
        this.devicelogo = devicelogo == null ? null : devicelogo.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getLogistno() {
        return logistno;
    }

    public void setLogistno(String logistno) {
        this.logistno = logistno == null ? null : logistno.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getRefundreason() {
        return refundreason;
    }

    public void setRefundreason(String refundreason) {
        this.refundreason = refundreason == null ? null : refundreason.trim();
    }

    public String getRejectremark() {
        return rejectremark;
    }

    public void setRejectremark(String rejectremark) {
        this.rejectremark = rejectremark == null ? null : rejectremark.trim();
    }

    public String getRefundtype() {
        return refundtype;
    }

    public void setRefundtype(String refundtype) {
        this.refundtype = refundtype == null ? null : refundtype.trim();
    }

    public String getExpressno() {
        return expressno;
    }

    public void setExpressno(String expressno) {
        this.expressno = expressno == null ? null : expressno.trim();
    }

    public String getRefundexpressno() {
        return refundexpressno;
    }

    public void setRefundexpressno(String refundexpressno) {
        this.refundexpressno = refundexpressno == null ? null : refundexpressno.trim();
    }

    public BigDecimal getRefundamt() {
        return refundamt;
    }

    public void setRefundamt(BigDecimal refundamt) {
        this.refundamt = refundamt;
    }

    public String getRefundno() {
        return refundno;
    }

    public void setRefundno(String refundno) {
        this.refundno = refundno == null ? null : refundno.trim();
    }

    public Date getRefundtime() {
        return refundtime;
    }

    public void setRefundtime(Date refundtime) {
        this.refundtime = refundtime;
    }

    public String getRefundremark() {
        return refundremark;
    }

    public void setRefundremark(String refundremark) {
        this.refundremark = refundremark == null ? null : refundremark.trim();
    }

    public BigDecimal getPostage() {
        return postage;
    }

    public void setPostage(BigDecimal postage) {
        this.postage = postage;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }
}